Take your photography to the next level and beyond...

  • NEWS

Why not join for free today?

Join for Free

Your total photography experience starts here

Visiting The Photography Show 2018? Take a look at our Exhibitor Guide so you can plan before you go!

Imac + 9500 mkii

12 Jun 2012 9:32AM
I've spoken to Canon and they reckon that the 9500 mkii is not compatible with iMac 10.7. Would anyone know any different ? Seems a bit strange to me !

Join ePHOTOzine for free and remove these adverts.

12 Jun 2012 10:04AM
Just spoke to Canon again and got a completely different story - downloading the drivers for 10.7 now Smile
User_Removed 14 271 United Kingdom
12 Jun 2012 10:05AM
Hmmm, some sort of BS there. I use a MacBook Pro (2011 model) running Lion 10.7 using a Canon 9000 Pro (Mk 1) no problems. I just went to the Canon Download centre picked the OS installed all the software/drivers & no issues from there on. All running smoothly.

Sign In

You must be a member to leave a comment.

ePHOTOzine, the web's friendliest photography community.

Join For Free

Upload photos, chat with photographers, win prizes and much more.